summaryrefslogtreecommitdiffstats
path: root/asdctool/src/main/resources
diff options
context:
space:
mode:
Diffstat (limited to 'asdctool/src/main/resources')
-rw-r--r--asdctool/src/main/resources/application-context.xml4
-rw-r--r--asdctool/src/main/resources/config/configuration.yaml44
-rw-r--r--asdctool/src/main/resources/config/titan.properties25
-rw-r--r--asdctool/src/main/resources/scripts/deleteComponentTool.sh35
-rw-r--r--asdctool/src/main/resources/scripts/generateCsar.sh35
-rw-r--r--asdctool/src/main/resources/scripts/vrfObjectFix.sh35
6 files changed, 155 insertions, 23 deletions
diff --git a/asdctool/src/main/resources/application-context.xml b/asdctool/src/main/resources/application-context.xml
index cf5ae5a767..c9a13df44a 100644
--- a/asdctool/src/main/resources/application-context.xml
+++ b/asdctool/src/main/resources/application-context.xml
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
- xmlns:aop="http://www.springframework.org/schema/aop" xmlns:util="http://www.springframework.org/schema/util"
- xsi:schemaLocation="
+ xmlns:util="http://www.springframework.org/schema/util"
+ xsi:schemaLocation="
http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.1.xsd
http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util-3.0.xsd">
diff --git a/asdctool/src/main/resources/config/configuration.yaml b/asdctool/src/main/resources/config/configuration.yaml
index c92827e558..14fd1c5123 100644
--- a/asdctool/src/main/resources/config/configuration.yaml
+++ b/asdctool/src/main/resources/config/configuration.yaml
@@ -6,7 +6,7 @@ identificationHeaderFields:
- HTTP_CSP_WSTYPE
# catalog backend hostname
-beFqdn: localhost
+beFqdn: 192.168.33.10
# sdccatalog.att.com
# catalog backend http port
@@ -23,18 +23,25 @@ beSslPort: 8443
version: 1.0
released: 2012-11-30
-toscaConformanceLevel: 5.0
+toscaConformanceLevel: 8.0
minToscaConformanceLevel: 3.0
# These values are necessary for running upgrade migration 1710.0 process
+enableAutoHealing: false
appVersion: 1.1.0
artifactGeneratorConfig: Artifact-Generator.properties
resourcesForUpgrade:
- 5.0:
- - tosca.nodes.Root
+ 8.0:
+ - org.openecomp.resource.cp.extCP
+ - tosca.nodes.network.Network
+ - tosca.nodes.network.Port
+ - org.openecomp.resource.cp.nodes.network.SubInterface
skipUpgradeFailedVfs: true
skipUpgradeVSPs: true
autoHealingOwner: jh0003
+supportAllottedResourcesAndProxy: false
+deleteLockTimeoutInSeconds: 60
+maxDeleteComponents: 10
titanCfgFile: src\main\resources\config\titan.properties
titanMigrationKeySpaceCfgFile: src\main\resources\config\titan-migration.properties
@@ -84,20 +91,22 @@ neo4j:
password: "12345"
cassandraConfig:
- cassandraHosts: ['localhost']
- localDataCenter: datacenter1
+ cassandraHosts: [192.168.33.10]
+ localDataCenter: DC-AIO-Ubuntu1
reconnectTimeout : 30000
- authenticate: false
- username: koko
- password: bobo
- ssl: false
- truststorePath : /path/path
- truststorePassword : 123123
+ authenticate: true
+ username: asdc_user
+ password: Aa1234%^!
+ ssl: true
+ truststorePath : C:/Users/im453s/git/vagrant-sdc-all-in-one/tmp.trust
+ truststorePassword : Aa123456
keySpaces:
- - { name: sdcaudit, replicationStrategy: SimpleStrategy, replicationInfo: ['1']}
- - { name: sdcartifact, replicationStrategy: SimpleStrategy, replicationInfo: ['1']}
- - { name: sdccomponent, replicationStrategy: SimpleStrategy, replicationInfo: ['1']}
- - { name: sdcrepository, replicationStrategy: SimpleStrategy, replicationInfo: ['1']}
+ - { name: dox, replicationStrategy: NetworkTopologyStrategy, replicationInfo: ['DC-AIO-Ubuntu1', '1']}
+ - { name: sdcaudit, replicationStrategy: NetworkTopologyStrategy, replicationInfo: ['DC-AIO-Ubuntu1', '1']}
+ - { name: sdcartifact, replicationStrategy: NetworkTopologyStrategy, replicationInfo: ['DC-AIO-Ubuntu1', '1']}
+ - { name: sdccomponent, replicationStrategy: NetworkTopologyStrategy, replicationInfo: ['DC-AIO-Ubuntu1', '1']}
+ - { name: sdcrepository, replicationStrategy: NetworkTopologyStrategy, replicationInfo: ['DC-AIO-Ubuntu1', '1']}
+
#Application-specific settings of ES
elasticSearch:
@@ -203,6 +212,7 @@ toscaArtifacts:
type: TOSCA_CSAR
description: TOSCA definition package of the asset
+
#Informational artifacts placeHolder
excludeResourceCategory:
- Generic
@@ -329,7 +339,7 @@ serviceDeploymentArtifacts:
- xml
AAI_VF_INSTANCE_MODEL:
acceptedTypes:
- - xml
+ - xml
OTHER:
acceptedTypes:
diff --git a/asdctool/src/main/resources/config/titan.properties b/asdctool/src/main/resources/config/titan.properties
index 5411a44224..5f22a08837 100644
--- a/asdctool/src/main/resources/config/titan.properties
+++ b/asdctool/src/main/resources/config/titan.properties
@@ -1,11 +1,28 @@
-storage.backend=cassandra
-storage.hostname=localhost
+storage.backend=cassandrathrift
+storage.hostname=192.168.33.10
storage.port=9160
+storage.username=asdc_user
+storage.password=Aa1234%^!
+storage.connection-timeout=10000
+storage.cassandra.keyspace=sdctitan
+
+storage.cassandra.ssl.enabled=true
+storage.cassandra.ssl.truststore.location=C:\\gitWork\\vagrant-sdc-all-in-one\\mytmp.trust
+storage.cassandra.ssl.truststore.password=Aa123456
+
+storage.cassandra.read-consistency-level=LOCAL_QUORUM
+storage.cassandra.write-consistency-level=LOCAL_QUORUM
+storage.cassandra.replication-strategy-class=org.apache.cassandra.locator.NetworkTopologyStrategy
+storage.cassandra.replication-strategy-options=DC-sdc-iltlv633,1
+storage.cassandra.astyanax.local-datacenter=DC-sdc-iltlv633
+
cache.db-cache = false
cache.db-cache-clean-wait = 20
cache.db-cache-time = 180000
cache.db-cache-size = 0.5
-cache.tx-cache-size = 500000
-storage.cassandra.keyspace=sdctitan
+cache.tx-cache-size = 1000000
+
+storage.lock.retries=5
+storage.lock.wait-time=500
diff --git a/asdctool/src/main/resources/scripts/deleteComponentTool.sh b/asdctool/src/main/resources/scripts/deleteComponentTool.sh
new file mode 100644
index 0000000000..afdf8166f5
--- /dev/null
+++ b/asdctool/src/main/resources/scripts/deleteComponentTool.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+##############################
+# Distribution Status Update 1707
+##############################
+
+CURRENT_DIR=`pwd`
+BASEDIR=$(dirname $0)
+
+if [ ${BASEDIR:0:1} = "/" ]
+then
+ FULL_PATH=$BASEDIR
+else
+ FULL_PATH=$CURRENT_DIR/$BASEDIR
+fi
+
+source ${FULL_PATH}/baseOperation.sh
+
+mainClass="org.openecomp.sdc.asdctool.main.DeleteComponentTool"
+
+command="java $JVM_LOG_FILE -cp $JARS $mainClass $@"
+echo $command
+
+$command
+result=$?
+
+
+
+echo "***********************************"
+echo "***** $result *********************"
+echo "***********************************"
+
+exit $result
+
+
diff --git a/asdctool/src/main/resources/scripts/generateCsar.sh b/asdctool/src/main/resources/scripts/generateCsar.sh
new file mode 100644
index 0000000000..c74168823c
--- /dev/null
+++ b/asdctool/src/main/resources/scripts/generateCsar.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+##############################
+# Distribution Status Update 1707
+##############################
+
+CURRENT_DIR=`pwd`
+BASEDIR=$(dirname $0)
+
+if [ ${BASEDIR:0:1} = "/" ]
+then
+ FULL_PATH=$BASEDIR
+else
+ FULL_PATH=$CURRENT_DIR/$BASEDIR
+fi
+
+source ${FULL_PATH}/baseOperation.sh
+
+mainClass="org.openecomp.sdc.asdctool.main.CsarGeneratorTool"
+
+command="java $JVM_LOG_FILE -cp $JARS $mainClass $@"
+echo $command
+
+$command
+result=$?
+
+
+
+echo "***********************************"
+echo "***** $result *********************"
+echo "***********************************"
+
+exit $result
+
+
diff --git a/asdctool/src/main/resources/scripts/vrfObjectFix.sh b/asdctool/src/main/resources/scripts/vrfObjectFix.sh
new file mode 100644
index 0000000000..3f875fa136
--- /dev/null
+++ b/asdctool/src/main/resources/scripts/vrfObjectFix.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+##############################
+# Data Migration
+##############################
+
+CURRENT_DIR=`pwd`
+BASEDIR=$(dirname $0)
+
+if [ ${BASEDIR:0:1} = "/" ]
+then
+ FULL_PATH=$BASEDIR
+else
+ FULL_PATH=$CURRENT_DIR/$BASEDIR
+fi
+
+source ${FULL_PATH}/baseOperation.sh
+
+mainClass="org.openecomp.sdc.asdctool.main.VrfObjectFixMenu"
+
+command="java $JVM_LOG_FILE -Xmx6000M -cp $JARS $mainClass $@"
+echo $command
+
+$command
+result=$?
+
+
+
+echo "***********************************"
+echo "***** $result *********************"
+echo "***********************************"
+
+exit $result
+
+